org.aspectj.lang.reflect

## Interface Pointcut

All Known Implementing Classes:
  PointcutImpl

    public interface Pointcut

AspectJ runtime representation of a pointcut member inside a class or aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`AjType` `getDeclaringType()`
`int` `getModifiers()`
`String` `getName()`
`String[]` `getParameterNames()`
`AjType<?>[]` `getParameterTypes()`
`PointcutExpression` `getPointcutExpression()`

### Method Detail

#### getName

    String getName()

Returns:
  the declared name of the pointcut.

#### getModifiers

    int getModifiers()

Returns:
  the modifiers associated with the pointcut declaration. Use java.lang.reflect.Modifier to interpret the return value

#### getParameterTypes

    AjType<?>[] getParameterTypes()

Returns:
  the pointcut parameter types.

#### getParameterNames

    String[] getParameterNames()

Returns:
  the pointcut parameter names. Returns an array of empty strings of length getParameterTypes().length if parameter names are not available at runtime.

#### getDeclaringType

    AjType getDeclaringType()

Returns:
  the type that declared this pointcut

#### getPointcutExpression

    PointcutExpression getPointcutExpression()

Returns:
  the pointcut expression associated with this pointcut.